petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexComputeGeometryFVM

Computes the cell and face geometry for a finite volume method

### Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeGeometryFVM(DM dm, Vec *cellgeom, Vec *facegeom)

### Input Parameter

dm -The DM

### Output Parameters

| cellgeom | - A Vec of PetscFVCellGeom data
| facegeom | - A Vec of PetscFVFaceGeom data

### See Also

PetscFVFaceGeom, PetscFVCellGeom, DMPlexComputeGeometryFEM()

### Level

developer

### Location

src/dm/impls/plex/plexgeometry.c

### Implementations

DMPlexComputeGeometryFVM_1D_Internal in src/dm/impls/plex/plexgeometry.c
DMPlexComputeGeometryFVM_2D_Internal in src/dm/impls/plex/plexgeometry.c
DMPlexComputeGeometryFVM_3D_Internal in src/dm/impls/plex/plexgeometry.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages